
<ion-header>

  <ion-toolbar>
    <ion-title>Add product</ion-title>
    <ion-buttons left>
      <button 
        ion-button 
        menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
    </ion-buttons>

  </ion-toolbar>

</ion-header>


<ion-content padding>
    <form [formGroup]="myForm">
        <ion-item>
          <ion-label>Name</ion-label>
          <ion-input type="text" formControlName="name" ></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Price</ion-label>
          <ion-input formControlName="price" ></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Currency</ion-label>
          <ion-input type="text" formControlName="currency" ></ion-input>
        </ion-item>
        <button 
        ion-button
        block
        type="submit"
        (click)="onSubmit(myForm.value ,myForm.valid)">
        Add product
      </button>
      </form>
</ion-content>
